ApiFuseApiFuse
API Reference

CatchTable 예약 가능 슬롯

캐치테이블 매장의 예약 가능한 날짜 또는 시간 슬롯을 조회합니다.

CatchTable 예약 가능 슬롯

날짜 미지정 시 가능한 날짜 목록, 날짜 지정 시 가능한 시간 슬롯을 반환합니다.

엔드포인트

GET /v1/catchtable-availability

Upstream

  • Base URL: https://ct-api.catchtable.co.kr
  • Path: [dynamic]

요청 파라미터

파라미터타입필수기본값설명
shop_refstring-Catchtable shop ref
datestring-Reservation date
personinteger2-
table_typestring_ALL_-
visit_timestring19:00-

요청 예시

{
  "shop_ref": "shop-1",
  "person": 2,
  "table_type": "_ALL_",
  "visit_time": "19:00"
}

응답 스키마

아래 스키마는 adapter의 Zod output schema에서 직접 생성됩니다.

{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "date_slots": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "time_slots": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  },
  "additionalProperties": false
}

응답 예시

{
  "data": {
    "date_slots": [
      "260325",
      "260326"
    ]
  },
  "pagination": null,
  "meta": {
    "source": "catchtable-availability",
    "fetchedAt": "2026-03-24T00:00:00.000Z"
  }
}

On this page